Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 568825 - moz-appearance: progresschunk overflows on the bottom
: moz-appearance: progresschunk overflows on the bottom
Product: Core
Classification: Components
Component: Widget: Win32 (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: mozilla6
Assigned To: Mounir Lamouri (:mounir)
: Jim Mathies [:jimm]
Depends on: 656284 658885
Blocks: 633207 641517 654709
  Show dependency treegraph
Reported: 2010-05-28 07:36 PDT by Mounir Lamouri (:mounir)
Modified: 2011-07-20 07:26 PDT (History)
8 users (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

Test case (752 bytes, text/html)
2010-05-28 07:36 PDT, Mounir Lamouri (:mounir)
no flags Details
Test case (752 bytes, text/html)
2010-05-28 07:43 PDT, Mounir Lamouri (:mounir)
no flags Details
Screenshot on Windows 7 (6.64 KB, image/png)
2010-05-28 07:46 PDT, Mounir Lamouri (:mounir)
no flags Details
Patch v1 (3.69 KB, patch)
2011-03-14 07:44 PDT, Mounir Lamouri (:mounir)
no flags Details | Diff | Splinter Review
Patch v1.1 (3.69 KB, patch)
2011-03-15 10:05 PDT, Mounir Lamouri (:mounir)
no flags Details | Diff | Splinter Review
Patch v1.2 (4.47 KB, patch)
2011-03-17 11:51 PDT, Mounir Lamouri (:mounir)
jmathies: review+
Details | Diff | Splinter Review

Description Mounir Lamouri (:mounir) 2010-05-28 07:36:24 PDT
Created attachment 448005 [details]
Test case

It looks like moz-appearance: progresschunk overflows on the bottom. It seems the overflow is a constant value of pixels I didn't check more than that but it's not a percentage.
This is working correctly with the GTK widget.
Comment 1 Mounir Lamouri (:mounir) 2010-05-28 07:43:33 PDT
Created attachment 448007 [details]
Test case

Updating the test case, the overflow was misplaced.

And I confirm this bug appears on Windows XP too.
Comment 2 Mounir Lamouri (:mounir) 2010-05-28 07:46:44 PDT
Created attachment 448008 [details]
Screenshot on Windows 7
Comment 3 Mounir Lamouri (:mounir) 2011-03-14 07:44:10 PDT
Created attachment 519137 [details] [diff] [review]
Patch v1
Comment 4 Mounir Lamouri (:mounir) 2011-03-15 10:05:00 PDT
Created attachment 519433 [details] [diff] [review]
Patch v1.1

This is fixing a warning (11.f should be 11).
Comment 5 Doug Turner (:dougt) 2011-03-15 12:31:59 PDT
is 11 defined somewhere?  Can we get this value dynamically?

widgetRect.bottom -= 11;
Comment 6 Mounir Lamouri (:mounir) 2011-03-15 12:41:58 PDT
No, 11 is defined nowhere. I found that by trying multiple values and reftesting with an element with overflow: hidden. The overflow is constant and doesn't seem to be dynamic. The "small" version of the reftest is here to prove that.

I wonder if the overflow comes from a bug somewhere else but the way we draw progress bars seems quite simple and I don't understand what would create it.
Comment 7 Mounir Lamouri (:mounir) 2011-03-17 11:51:38 PDT
Created attachment 519971 [details] [diff] [review]
Patch v1.2

With a static const.
Comment 8 Mounir Lamouri (:mounir) 2011-03-18 12:45:46 PDT
Hmmm, so my patch is working as a workaround but obviously the issue is somewhere else... If you open: data:text/html,<progress tabindex=1 value=1></progress>
and click on (or tab on) the progress element, you will see the outline taking more than the progress' size. But I still have no idea where this comes from given that Windows is the only widget with that issue.
Comment 9 Jim Mathies [:jimm] 2011-04-25 04:50:56 PDT
Comment on attachment 519971 [details] [diff] [review]
Patch v1.2

Review of attachment 519971 [details] [diff] [review]:

Hard coded values sucks, but I suppose it will flesh itself out over time.
Comment 10 Mounir Lamouri (:mounir) 2011-05-09 05:41:44 PDT
Comment 11 Shawn Wilsher :sdwilsh 2011-05-09 16:11:06 PDT
Backed out in to resolve bug 655860.
Comment 12 Mounir Lamouri (:mounir) 2011-05-10 07:01:02 PDT
The regression wasn't caused by these patches. Re-landed:
Comment 13 George Carstoiu 2011-07-20 07:26:33 PDT
Mozilla/5.0 (Windows NT 6.1; rv:6.0) Gecko/20100101 Firefox/6.0

Verified issue using attached Testcase on Win7 and WinXP. Everything is in order -> setting status to Verified Fixed.

Note You need to log in before you can comment on or make changes to this bug.